Bug 57554 - RHN server attempting to give package for incorrect architecture
Summary: RHN server attempting to give package for incorrect architecture
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date   
(Show other bugs)
Version: 4.0
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-15 17:37 UTC by John Berninger
Modified: 2015-01-07 23:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-15 21:52:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Description of where this bug is in the client (1.09 KB, text/plain)
2002-03-15 19:38 UTC, Hunter Matthews
no flags Details
proposed client fix for required order of arches in package list (1.03 KB, patch)
2002-03-15 21:52 UTC, Adrian Likins
no flags Details | Diff

Description John Berninger 2001-12-15 17:37:59 UTC
Description of Problem:
When attempting to update, RHN is trying to send me an i686 package for the
latest glibc errata for an i586 system.  The client properly fails the
test, but the server doesn't seem to understand I don't want an i686 package

Version-Release number of selected component (if applicable):
up2date-2.7.11-7.x.1, RHL 7.1

How Reproducible:
always

Steps to Reproduce:
1. on i586 system, run up2date 
2. select glibc* packages
3. package testing fails

Actual Results:
attempt to download / install glibc-2.2.4-19.3.i686.rpm

Expected Results:
should download / install glibc-2.2.4-19.3.i586.rpm or i386

Additional Information:

Comment 1 John Berninger 2001-12-19 18:20:28 UTC
database version as obained from /var/spool/up2date filenames:
1214164053

Comment 2 Adrian Likins 2001-12-19 20:54:56 UTC
could anyone seeing this please try this now?

Comment 3 Hunter Matthews 2002-03-15 19:38:16 UTC
Created attachment 48684 [details]
Description of where this bug is in the client

Comment 4 Adrian Likins 2002-03-15 21:18:36 UTC
yeah, known bug. Send them down from the server in the right order ;->

Comment 5 Adrian Likins 2002-03-15 21:51:38 UTC
actually, I thought I fixed this in the client recently, but looks
like I never actually did once we made the server do the right thing.

try the attached patch and see if it does the right thing on
unsorted lists...



Comment 6 Adrian Likins 2002-03-15 21:52:48 UTC
Created attachment 48706 [details]
proposed client fix for required order of arches in package list


Note You need to log in before you can comment on or make changes to this bug.